enclosed-exceptions-1.0.2: Catching all exceptions from within an enclosed computation

# enclosed-exceptions-1.0.2: Catching all exceptions from within an enclosed computation

Catching all exceptions raised within an enclosed computation, while remaining responsive to (external) asynchronous exceptions. For more information on the technique, please see: https://www.fpcomplete.com/user/snoyberg/general-haskell/exceptions/catching-all-exceptions

Modules

- Control
  - Exception
    - Control.Exception.Enclosed